com.trilead.ssh2.packets

## Class PacketSessionPtyRequest

- java.lang.Object
- - com.trilead.ssh2.packets.PacketSessionPtyRequest

    public class PacketSessionPtyRequest
    extends java.lang.Object

PacketSessionPtyRequest.

### Field Summary

Fields
`int` `character_height`
`int` `character_width`
`int` `pixel_height`
`int` `pixel_width`
`int` `recipientChannelID`
`java.lang.String` `term`
`byte[]` `terminal_modes`
`boolean` `wantReply`

### Constructor Summary

Constructors
Constructor and Description
`PacketSessionPtyRequest(int recipientChannelID, boolean wantReply, java.lang.String term, int character_width, int character_height, int pixel_width, int pixel_height, byte[] terminal_modes)`

### Method Summary

Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### recipientChannelID

    public int recipientChannelID

#### wantReply

    public boolean wantReply

#### term

    public java.lang.String term

#### character_width

    public int character_width

#### character_height

    public int character_height

#### pixel_width

    public int pixel_width

#### pixel_height

    public int pixel_height

#### terminal_modes

    public byte[] terminal_modes

### Constructor Detail

#### PacketSessionPtyRequest

    public PacketSessionPtyRequest(int recipientChannelID,
                           boolean wantReply,
                           java.lang.String term,
                           int character_width,
                           int character_height,
                           int pixel_width,
                           int pixel_height,
                           byte[] terminal_modes)

### Method Detail

#### getPayload

    public byte[] getPayload()